import { TimeEvaluationSituationDefinitionHistoryDto } from "./time-evaluation-situation-definition-history-dto";
import { TimeEvaluationSituationDefinition } from "../time-evaluation-situation-definition";
import { SituationClockingEvent } from "../situation-clocking-event/situation-clocking-event";
export declare class TimeEvaluationSituationDefinitionHistory {
    id?: string;
    situationDefinition: TimeEvaluationSituationDefinition;
    startDate: Date;
    endDate?: Date;
    workSituation?: SituationClockingEvent;
    nightShiftWorkPremium?: SituationClockingEvent;
    invalidEventsSituation?: SituationClockingEvent;
    vacationPaidLeaveSituation?: SituationClockingEvent;
    dailyRestViolationSituation?: SituationClockingEvent;
    workBreakViolationSituation?: SituationClockingEvent;
    absenceSituation?: SituationClockingEvent;
    tardinessSituation?: SituationClockingEvent;
    intermediateLeaveSituation?: SituationClockingEvent;
    earlyLeaveSituation?: SituationClockingEvent;
    absenceSituationOnRelayScheduleHolidays?: SituationClockingEvent;
    percentageNextDay?: boolean;
    normalOvertimeSeparationLimit?: number;
    separateOvertimeAfterConvertingNightShiftHours?: boolean;
    unauthorizedOvertime?: SituationClockingEvent;
    overtimeBefore?: SituationClockingEvent;
    overtimeEntry?: SituationClockingEvent;
    overtimeDuringMeal?: SituationClockingEvent;
    leaveOvertime?: SituationClockingEvent;
    overtimeAfter?: SituationClockingEvent;
    overtimeSeparationLimitDuringRest?: number;
    overtimeDuringRest?: SituationClockingEvent;
    overtimeSeparationLimitDuringCompensatedDays?: number;
    overtimeOnCompensatedDays?: SituationClockingEvent;
    overtimeSeparationLimitDuringHoliday?: number;
    overtimeDuringHoliday?: SituationClockingEvent;
    overtimeSeparationLimitDuringDayOff?: number;
    overtimeDuringDayOff?: SituationClockingEvent;
    overtimeSituationOnRelayScheduleHolidays?: SituationClockingEvent;
    nightShiftOvertimePremiumSituation?: SituationClockingEvent;
    overtimeSeparationBefore?: SituationClockingEvent;
    overtimeSeparationEntry?: SituationClockingEvent;
    overtimeSeparationDuringMeal?: SituationClockingEvent;
    overtimeSeparationLeave?: SituationClockingEvent;
    overtimeSeparationAfter?: SituationClockingEvent;
    overtimeSeparationDuringRest?: SituationClockingEvent;
    overtimeSeparationDuringCompensatedDays?: SituationClockingEvent;
    overtimeSeparationDuringHoliday?: SituationClockingEvent;
    overtimeSeparationDuringDayOff?: SituationClockingEvent;
    createdBy?: string;
    createdDate?: Date;
    lastModifiedBy?: string;
    lastModifiedDate?: Date;
    custom?: any;
    static fromDto(timeEvaluationSituationDefinitionHistoryDto: TimeEvaluationSituationDefinitionHistoryDto, originEntity?: string): TimeEvaluationSituationDefinitionHistory;
    static toDto(timeEvaluationSituationDefinitionHistory: TimeEvaluationSituationDefinitionHistory, originEntity?: string): TimeEvaluationSituationDefinitionHistoryDto;
}
